/*
 * Version for iOS © 2015–2019 YANDEX
 *
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at https://yandex.com/legal/mobileads_sdk_agreement/
 */

#import <UIKit/UIKit.h>

@protocol YMARating;

/**
 This protocol provides methods for rendering YandexMobileAds ad in custom view classes.
 */
@protocol YMAAdMobCustomEventNativeAdView <NSObject>

@optional

/**
 `UILabel` for information about age restrictions. Required if ad's extra asset value for key kYMAAdMobNativeAdAgeExtraAsset
 is not nil. @see YMAAdMobNativeAdExtraAssets.h for asset keys.
 */
- (UILabel *)nativeAgeLabel;

/**
 `UIImageView` for the favicon.
 */
- (UIImageView *)nativeFaviconImageView;

/**
 `UIImageView` for the ad's main image. Only needed if imageView is used in `GADUnifiedNativeAdView`.
 */
- (UIImageView *)nativeImageView;

/**
 `UIView` that implements the YMARating protocol for data on the app rating.
 */
- (UIView<YMARating> *)nativeRatingView;

/**
 `UILabel` for data on the number of app reviews.
 */
- (UILabel *)nativeReviewCountLabel;

/**
 `UILabel` for the warning. Required if ad's extra asset value for key kYMAAdMobNativeAdWarningExtraAsset
 is not nil. @see YMAAdMobNativeAdExtraAssets.h for asset keys.
 */
- (UILabel *)nativeWarningLabel;

@end
